API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen
Entity · payroll_records

Payroll Record Schema

Schema-ID
payroll_record
Collection
payroll_records
Permissions
  • Lesenpayroll_view
  • Anlegenpayroll_edit
  • Ändernpayroll_edit
  • Löschenpayroll_edit

Felder

Payroll Record Schema

payroll_records4 Permissions

Per-employee encrypted master data for payroll preparation (Lohnstammdaten). Tier 1 zero-knowledge.

employeeProfileIduuiderforderlich

UUID of the linked employee_profile

ciphertextstringerforderlich

Base64-encoded AES-256-GCM ciphertext of the payload JSON

max 65536 Zeichen
ivstringerforderlich

Base64-encoded 12-byte random IV

max 32 Zeichen
algstringerforderlich

Symmetric encryption algorithm identifier

AES-256-GCM
keyIdstringerforderlich

Identifier of the payroll group key version that encrypted this record. Used to detect re-encryption needs after key rotation.

max 64 Zeichenread-only
completionStatusstringoptional

Whether all mandatory fields are filled. Cleartext flag, computed on save by the HR client.

DRAFTCOMPLETENEEDS_REVIEW
Default: "DRAFT"
lastEditedByuuidoptional

User UUID of the HR member who last edited this record

nullable
lastEditedAtdatetimeoptional

When the encrypted payload was last updated

nullable

Standard-Endpoints

Diese Resource folgt dem generischen CRUD-Vertrag der Plattform. Lesen Sie die Konventionen für Pagination, Idempotenz, Optimistic Locking und Audit. Die wichtigsten Endpoints:

  • GET /api/v1/payroll_records — Liste, paginiert + filterbar
  • GET /api/v1/payroll_records/<id> — Einzelne Entity
  • POST /api/v1/payroll_records — Anlegen
  • PATCH /api/v1/payroll_records/<id> — Teil-Update
  • DELETE /api/v1/payroll_records/<id> — Soft-Delete
  • GET /api/v1/payroll_records/<id>/timeline — Audit + Aktivitäten

Suche